# GimpUi.prop_expander_new

    function prop_expander_new(config: GObject.Object, property_name: String, label: String): Gtk.Widget {
        // Gjs wrapper for gimp_prop_expander_new()
    }

Creates a Gtk.Expander controlled by the specified boolean property. A value of true for the property corresponds to the expanded state for the widget. If label is null, the property_name's nick will be used as label of the returned widget.

Since 2.4

config

  Object to which property is attached.

property_name

  Name of boolean property.

label

  Label for expander.

Returns

  A new Gtk.Expander widget.